Subject: Re: [bitcoin-dev] [Mempool spam] Should we as developers reject non-standard Taproot transactions from full nodes?

From: [email-masked]
Date: Fri, 12 May 2023 11:36:57 +0200

W dniu 2023-05-11 13:57:11 użytkownik Keagan McClelland via bitcoin-dev <[email-masked]> napisał:

> The current fees we are experiencing are still significantly lower than they need to be if Bitcoin is going to survive in a post-subsidy era. If our layered protocols can't survive the current fee environment, the answer is to fix the layered protocols.

I also believe that this discussion should be expanded to the problem of Bitcoin's survival in the post-subsidy era, because it's very related, i.e. also directly related to the high transaction fees. The only difference is that the current $30 fee situation is probably temporary, and the future $40 (today's price tag) fee situation in post-subsidy era will be hopeless for change other than to reduce the difficulty of the network and hence its security and the marketcap/price in the end of day.

Because if the current network hashrate (current level of security) would drop e.g. to half of what it was in the past - the Store-of-Value feature simply collapse, while it's one of the most important (if not: the most important) long term feature of Bitcoin and as such advertised...
If you really care about SoV - you can't accept network security regression. Period.

I am a committed supporter of the free market. And Bitcoin is not the e-mail system, where sending is free and therefore spam which costs nothing to the sender - becomes a problem. In Bitcoin, every transaction costs - and in such a situation, distinguishing paid transactions into the good ones and the bad ones - would be a mistake and contradict the idea of the free market.

We should not interfere where the free market intervenes: the same way how small transfers are migrating to LN, the same way "non-economic", low value informations will migrate to Layer2 (RGB, Taro or maybe something else yet)

But, we should intervene there, where there is no free market. And I am not alone in alarming that there is such a place in Bitcoin.
In the post-subsidy era There Is No Free Market between: active users (overtaxed) and pasive users (free riders).

One of possible (very conservative) option to introduce free market there - is to delay halving in case of 4 years network difficulty regression situation.
Such a long-term regression of network difficulty means nothing else that transaction revenue from active users is not able to fund current network security anymore for both active and passive users. Delaying of halving is simply: not introducing additional more damage to the network security (really conservative approach)
Another option is: demurrage (but I'm not very sure it will work fine, at least before "hyperbitcoinzation")

Again, from my almost 50yo experience:
Bitcoin network difficulty can be more-less constant or can be slightly increasing (both options are "good for Bitcoin") but we should do our best - to avoid the network security regression.
I did.

Regards
Jaroslaw

_______________________________________________
bitcoin-dev mailing list
[email-masked]
https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev